Skip to main content
GET
/
api
/
v1
/
capabilities
/
providers
cURL
curl --location --request GET "https://api.kashimi.tech/api/v1/capabilities/providers?countryCode=LT"
--header "Accept: application/json"
--header "Authorization: Bearer YOUR_ACCESS_TOKEN"
[
  {
    "id": "3a9f7916-1b45-473c-bf34-3e601b8aae90",
    "name": "Swedbank",
    "countryCode": "LT",
    "logoUrl": "https://kashimi.s3.com/logo.png",
    "iconUrl": "https://kashimi.s3.com/icon.png",
    "paymentSchemes": [
      "SEPA"
    ],
    "requiredPaymentFields": [
      "SENDER_ACCOUNT"
    ],
    "subsidiaries": [
      {
        "id": "3a9f7916-1b45-473c-bf34-3e601b8aae90",
        "name": "Swedbank",
        "countryCode": "LT",
        "logoUrl": "https://kashimi.s3.com/logo.png",
        "iconUrl": "https://kashimi.s3.com/icon.png",
        "paymentSchemes": [
          "SEPA"
        ],
        "requiredPaymentFields": [
          "SENDER_ACCOUNT"
        ]
      }
    ]
  }
]

Headers

Authorization
string
required

Bearer token for authentication

Query Parameters

countryCode
enum<string>

Country code of the provider. Providers that operate in multiple countries are treated as separate entities in our system, each with their own ID. For instance, Swedbank Lithuania and Swedbank Estonia are considered two different providers.

Available options:
AF,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BA,
BW,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
HR,
CU,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FJ,
FI,
FR,
GF,
PF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GN,
GW,
GY,
HT,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IL,
IT,
JM,
JP,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MK,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
SS,
ES,
LK,
SD,
SR,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TV,
UG,
UA,
AE,
GB,
US,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW
Example:

"NL"

Response

The list of providers has been retrieved successfully

id
string
required

Unique identifier for the provider. This value should be used in the payment object as providerId.

Example:

"3a9f7916-1b45-473c-bf34-3e601b8aae90"

name
string
required

Name of the provider.

Example:

"Swedbank"

countryCode
string
required

Country code of the provider. Providers that operate in multiple countries are treated as separate entities in our system, each with their own ID. For instance, Swedbank Lithuania and Swedbank Estonia are considered two different providers.

Example:

"LT"

logoUrl
string
required

URL of the provider's logo.

Example:

"https://kashimi.s3.com/logo.png"

iconUrl
string
required

URL of the provider's icon.

Example:

"https://kashimi.s3.com/icon.png"

paymentSchemes
enum<string>[]
required

Array of payment schemes that we support for this provider.

Available options:
SEPA,
DOMESTIC
Example:
["SEPA"]
requiredPaymentFields
enum<string>[]
required

Array of required payment fields for this provider. These fields can be included in the payment object to skip PSU data collection step

Available options:
SENDER_ACCOUNT,
SENDER_PROVIDER_CREDENTIALS_ID,
SENDER_PROVIDER_CREDENTIALS_PASSWORD
Example:
["SENDER_ACCOUNT"]
subsidiaries
object[]
required

Array of providers that belong to this parent provider.